#!/bin/bash
#
# Environment script for CSPP_NUCAPS-IASI
#
# N.B.  User is responsible for lftp in $PATH (if --noquarantine)
#
# module purge
#
# This is how built on thunder.ssec.wisc.edu, so any dynamic-linked
# executables will need libraries obtained from these modules.
#
# module load gcc/4.9.2 hdf/4.2.9 szip/2.1 hdf5/1.8.14 netcdf4/4.4.0
#
# EDIT THIS VARIABLE TO POINT YOUR INSTALLATION. For example,
#
# install_dir=/home/jimd/CSPP_NUCAPS-IASI_1_0

install_dir=/home/jimd/CSPP_NUCAPS-IASI_1_0


# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
#                                                             #
#  There is nothing for the user to modify below this point   #
#                                                             #
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #


test -n "$CSPP_NUCAPS_IASI_HOME" || export CSPP_NUCAPS_IASI_HOME=$install_dir
test -n "$CSPP_NUCAPS_IASI_REVNAME" || export PATH=$CSPP_NUCAPS_IASI_HOME/scripts:$PATH

# This is the revision from NOAA/STAR modified for CSPP
export CSPP_NUCAPS_IASI_REVNAME=DAP/ISRP_20170612-DB

# Set PATH for CSPP_NUCAPS if we think environment is correct
version=$CSPP_NUCAPS_IASI_HOME/$CSPP_NUCAPS_IASI_REVNAME
test -d "$version" || echo "CSPP_NUCAPS_IASI environment improperly set"
test -d "$version" || echo "Exit shell, edit cspp_nucaps-iasi_env.sh and source it"
test -d "$version" && export CSPP_NUCAPS_IASI_REVDATE=20190218

